/* 
 * XJack - BeOS version of the xscreensaver XJack
 * BeOS rewrite, copyright © 2000 by John Yanarella (yanarejm@muohio.edu)
 *
 * version 1.1 (March 29th, 2000)
 *    - updated to compile under R5
 *
 * version 1.0 (November 12th, 1999)
 *    - original release
 *
 * Although the BeOS "port" involved a fair amount of rewriting,
 * it's still covered by this license:
 * 
 * xscreensaver, Copyright (c) 1997 Jamie Zawinski <jwz@jwz.org>
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or 
 * implied warranty.
 *
 */

#include <ScreenSaver.h>

class XJack : public BScreenSaver {
 public:
	XJack(BMessage *msg, image_id id);
	virtual ~XJack();
	
	virtual void StartConfig(BView *view);
	virtual status_t StartSaver(BView *view, bool preview);
	virtual void Draw(BView *view, int32 frame);

 private:
	BView* m_myView;
	
	int m_columns, m_rows;				// characters
	int m_left, m_right;				// characters
	int m_char_width, m_line_height; 	// pixels
	int m_x, m_y;						// characters
	int m_mode;
	int m_hspace, m_vspace;
	bool m_break_para, m_caps;
	int m_sentences, m_paras;
	int m_delay;
	const char* m_s;
};
